Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Self hosted plugins are not supported by 64-bit
Started by usmanmughal.uog Jul 01 2019 10:39 PM

15 replies to this topic
self hosted self hosted plugin corona plugin 64-bit google 1st august

Best Answer vlads , 18 July 2019 - 10:44 AM

I'm closing this thread. Self hosted pluins are supported. If you need help with particular plugin self-hosted plugin, let me know. You can PM me here or on Slack

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

usmanmughal.uog

[GLOBAL: userInfoPane.html]
usmanmughal.uog
  • Enthusiast

  • 66 posts
  • Corona SDK

Hi guys,

I tested my app on new daily build that support 64bit and got console errors about self hosted plugins.

plugin.adjust: ERROR: Self-Hosted plugins was not activated.

@Rob can you please discuss this with relative person in your team? Thanks

Regards,
Usman Mughal






 



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

Self-hosted plugins are actually a privilege that we have to turn on in our developer portral (which you have), but the new builds are validating against the Marketplace licenses, which is something new. I've gone through and granted Marketplace Licenses to match the developer portal licenses. You should be able to try again and see if you can get passed this error.

 

Rob



[TOPIC: post.html]
#3

akao

[GLOBAL: userInfoPane.html]
akao
  • Contributor

  • 359 posts
  • Corona SDK

@RobMiracle Can you enable self-hosted plugin on my account? I should have the license to the self-hosted plugins, but with the new build, we are encountering this error. 



[TOPIC: post.html]
#4

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

You should be setup already. I took care of granting the change needed for the new Android builds yesterday. Are you still having issues? Everything looks right on my end.

 

Rob



[TOPIC: post.html]
#5

akao

[GLOBAL: userInfoPane.html]
akao
  • Contributor

  • 359 posts
  • Corona SDK

Hi Rob - Here is a screenshot of the error we are getting, along with a screenshot of if we were to go to the marketplace, we can confirm that we have the self-hosted plugin option. 

Attached Files



[TOPIC: post.html]
#6

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

The problem is that "Self Hosted Plugins" is a service, not an actual plugin. I've given you a "license" to it, but since it's not a plugin, I'm not sure how we validate against it. Previously, builds checked against a setting in developer.coronalabs.com, not marketplace.coronalabs.com.

 

I'll speak with Engineering. If this isn't working, we may have to make a fake plugin. 

 

But regardless, since I need to know what email address you're authenticating against in the Corona simulator and making sure you're using the same email address in Marketplace, lets take this to support@coronalabs.com so that we are not exposing your email address here in the forums.

 

Rob



[TOPIC: post.html]
#7

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

I think we figured out the problem. Try it again.

 

Rob



[TOPIC: post.html]
#8

usmanmughal.uog

[GLOBAL: userInfoPane.html]
usmanmughal.uog
  • Enthusiast

  • 66 posts
  • Corona SDK

Hi Rob, I tried now but this time error is different. Please find the screenshots attached.

Attached File  Screenshot 2019-07-09 at 8.55.52 AM.png   695.43KB   2 downloads
Attached File  Screenshot 2019-07-09 at 8.56.13 AM.png   1.59MB   2 downloads


Error don't guide the issue. Is it something related to plugins code or still something on your side?

Regards,
Usman Mughal
 



[TOPIC: post.html]
#9

usmanmughal.uog

[GLOBAL: userInfoPane.html]
usmanmughal.uog
  • Enthusiast

  • 66 posts
  • Corona SDK

I'm using the account that has self hosted plugins activated.



[TOPIC: post.html]
#10

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

Is plugins.jar your plugin?



[TOPIC: post.html]
#11

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 851 posts
  • Corona Staff

What plugins are you using?



[TOPIC: post.html]
#12

akao

[GLOBAL: userInfoPane.html]
akao
  • Contributor

  • 359 posts
  • Corona SDK

Looks like the issue is with one of our self-hosted plugins, our Amplitude.com plugin. We do have another self-hosted plugin that seems to be working fine.



[TOPIC: post.html]
#13

shashwat

[GLOBAL: userInfoPane.html]
shashwat
  • Enthusiast

  • 42 posts
  • Corona SDK

Hi Rob, I tried now but this time error is different. Please find the screenshots attached.
attachicon.gif Screenshot 2019-07-09 at 8.55.52 AM.png
attachicon.gif Screenshot 2019-07-09 at 8.56.13 AM.png
Error don't guide the issue. Is it something related to plugins code or still something on your side?
Regards,
Usman Mughal


Might seem unrelated and probably actually is but you might want to try adding an admob Id and try again. We had almost the exact same errors while building our apps and we dont even use admob but some other ad networks still seem to rely on the app id so might be worth a try

http://docs.coronalabs.com/plugin/admob/index.html#project-settings

[TOPIC: post.html]
#14

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,042 posts
  • Enterprise

It's really helpful to do copy/paste instead of screenshots of your console log.

 

Secondly, please, post your build.settings (again copy/paste and/or use pastebin)

 

Rob



[TOPIC: post.html]
#15

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 851 posts
  • Corona Staff

From what I can see from screenshots it seems like you're including some Google's libraries as JARs, which is not supported (or correct thing to do).

For example, Vungle's plugin used to include support-annotations-27.1.1.jar, support-compat-27.1.1.jar and support-core-utils-27.1.1.jar and other files from shared libraries. Deleting those files and using shared dependency plugins helped similar issue.

Also, there is new dependency, which isn't documented yet: "shared.google.play.services.ads.identifier", because "shared.google.play.services.ads" after update to 17+ requires admob identifier.

 

It is really hard to tell what is wrong in your private plugin setup without seeing it.



[TOPIC: post.html]
#16

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 851 posts
  • Corona Staff

  Best Answer

I'm closing this thread. Self hosted pluins are supported. If you need help with particular plugin self-hosted plugin, let me know. You can PM me here or on Slack




[topic_controls]
[/topic_controls]

Also tagged with one or more of these keywords: self, hosted, self hosted, plugin, corona plugin, 64-bit, google, 1st august